@charset "utf-8";

/*==================================================
/* スクロールすると位置が固定して追従*/
/*===================================*/

/*ナビゲーションの固定*/

.sub-fix-block {
  /*stickyで固定*/ /*Safari*/
  position: sticky;
  top: 20px;
}

/*1020px以下の見え方*/

@media screen and (max-width: 1020px) {
  .sub-fix-block {
    position: relative; /*stickyからrelativeに戻す*/
    top: 0;
  }
}

/*==================================================
/* ドロップダウンメニュー（写真付 上ナビ）*/
/*===================================*/

#g-nav ul {
  /*2階層目の基点にするためrelativeを指定*/
  position: relative;

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  margin: 0 0 50px 0;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

/*2階層目以降は横並びにしない*/
#g-nav ul ul {
  display: block;

  margin: 0;
}

/*ナビゲーションのリンク設定*/
#g-nav ul li a {
  font-weight: bold;
  /*矢印の基点にするためrelativeを指定*/

  position: relative;

  display: block;

  padding: 10px;

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  text-decoration: none;
  /*color: #999;*/

  color: #723b1a;
}

#g-nav ul li a:hover {
  color: #fff;
}

/*==矢印の設定*/

/*2階層目を持つliの矢印の設定*/

#g-nav ul li.has-child > a::before {
  position: absolute;
  top: 18px;
  left: -5px;

  width: 6px;
  height: 6px;

  content: "";
  -webkit-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  transform: rotate(135deg);

  border-top: 2px solid #999;
  border-right: 2px solid #999;
}

/*==2階層目以降の画像設定*/

#g-nav ul li.has-child img {
  max-width: 100%;
  height: auto;

  -webkit-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
  vertical-align: bottom;
}

/*hoverしたら画像拡大*/
#g-nav ul li.has-child img:hover {
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
  transform: scale(1.2);
}

#g-nav ul li.has-child dt {
  overflow: hidden;

  height: 12vh;

  border-radius: 10px 10px 0 0;
}

#g-nav ul li.has-child dd {
  padding: 10px 0;

  text-align: center;

  border-radius: 0 0 10px 10px;
  background: #fff;
}

@media screen and (max-width: 1200px) {
  #g-nav ul li.has-child dt {
    height: 10vh;
  }
}

/*== 2層目の設定 */

#g-nav li.has-child ul {
  /*絶対配置で位置を指定*/
  position: absolute;
  z-index: 4;
  top: 58px;
  left: 5%;
  /*子要素を横並びに*/

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /*はじめは非表示*/
  visibility: hidden;

  width: 90%;
  padding: 10px 0;
  /*アニメーション設定*/

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;

  opacity: 0;
  border-radius: 10px;
  /*形状を指定*/
  background: #6ea924;

  -ms-flex-pack: distribute;
  justify-content: space-around;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

/*hoverしたら表示*/
#g-nav li.has-child:hover > ul {
  visibility: visible;

  opacity: 1;
}

/*各ナビゲーション横幅*/
#g-nav li.has-child ul li {
  width: 18%;
}

/*ナビゲーションaタグの形状*/
#g-nav li.has-child ul li a {
  color: #333;
}

/*ナビ内ロゴ*/

#g-nav p {
  display: none;
}

/*==768px以下の形状*/
@media screen and (max-width: 768px) {
  #g-nav p {
    display: block;

    width: 80px;
    margin: 30px auto 0 auto;
  }

  #g-nav ul {
    display: block;

    margin: 0;
  }

  #g-nav li.has-child ul {
    position: relative;
    top: 0;
    left: 0;

    display: none; /*JSのslidetoggleで表示させるため非表示に*/
    visibility: visible; /*JSで制御するため一旦表示*/

    width: 100%;
    padding: 0;

    -webkit-transition: none;
    -o-transition: none;
    transition: none; /*JSで制御するためCSSのアニメーションを切る*/
    /* スマホ表示用。線の残像を消す*/
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);

    opacity: 1; /*JSで制御するため一旦表示*/
    border-radius: 0;
  }

  #g-nav ul li {
    border-bottom: 1px solid rgba(255, 255, 255, 0.8);
  }

  #g-nav li.has-child ul li {
    width: 100%;

    text-align: left;
  }

  #g-nav li.has-child ul li dl {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;

    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }
  #g-nav li.has-child ul li dt {
    width: 30%;
    height: auto;
    margin: 0;

    border-radius: 0;
  }

  #g-nav li.has-child ul li dd {
    width: 64%;
    padding: 0;

    text-align: left;

    color: #fff;
    border-radius: 0;
    background: transparent;
  }

  #g-nav ul li.has-child img {
    border-radius: 0;
  }

  #g-nav ul li a {
    padding: 10px 20px 10px 40px;

    color: #fff;
  }

  #g-nav ul li a:hover {
    color: #fff;
  }

  #g-nav ul li li a {
    padding: 0;
  }

  /*矢印の位置と向き*/

  #g-nav ul li.has-child > a::before {
    top: 17px;
    left: 20px;

    -webkit-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    transform: rotate(135deg);
  }

  #g-nav ul li.has-child.active > a::before {
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
  }
}

/*==================================================
/* クリックしたら円形背景が拡大（左上から）*/
/*===================================*/
@media screen and (max-width: 768px) {
  #g-nav {
    display: none;
  }

  /*アクティブになったエリア*/
  #g-nav.panelactive {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 99;
    top: 0;

    display: block;

    width: 100%;
    height: 100vh;
  }

  /*丸の拡大*/
  .circle-bg {
    position: fixed;
    z-index: 3;
    top: -18px;
    left: -18px;
    /*丸の形*/

    width: 100px;
    height: 100px;

    -webkit-transition: all 0.6s;
    -o-transition: all 0.6s;
    transition: all 0.6s; /*0.6秒かけてアニメーション*/
    /*丸のスタート位置と形状*/
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); /*scaleをはじめは0に*/

    border-radius: 50%;
    background: #457703;
  }

  .circle-bg.circleactive {
    -webkit-transform: scale(50);
    -ms-transform: scale(50);
    transform: scale(50); /*クラスが付与されたらscaleを拡大*/
  }

  /*ナビゲーションの縦スクロール*/
  #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 99;

    overflow: auto;

    width: 100%;
    height: 100vh;

    opacity: 0; /*はじめは表示なし*/

    -webkit-overflow-scrolling: touch;
  }

  #g-nav.panelactive #g-nav-list {
    opacity: 1; /*クラスが付与されたら出現*/
  }

  /*ナビゲーション*/
  #g-nav ul {
    width: 90%;
    margin: 0 auto 60px auto;

    opacity: 0; /*はじめは透過0*/
  }

  #g-nav ul ul {
    margin: 0;
  }

  /*背景が出現後にナビゲーションを表示*/
  #g-nav.panelactive ul {
    opacity: 1;
  }
}

/*==================================================
 MENUがCLOSEに
===================================*/

.openbtn {
  display: none;
}

@media screen and (max-width: 768px) {
  /*ボタン外側*/
  .openbtn {
    position: fixed;
    z-index: 999; /*ボタンを最前面に*/
    top: 10px;
    left: 10px;

    display: block;

    width: 50px;
    height: 50px;

    cursor: pointer;

    border-radius: 10px;
    background: #457703;
  }

  /*ボタン内側*/
  .openbtn span {
    position: absolute;
    left: 14px;

    display: inline-block;

    width: 45%;
    height: 2px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    transition: all 0.4s; /*アニメーションの設定*/

    border-radius: 5px;
    background: #fff;
  }

  .openbtn span:nth-of-type(1) {
    top: 13px;
  }

  .openbtn span:nth-of-type(2) {
    top: 19px;
  }

  .openbtn span:nth-of-type(3) {
    top: 25px;
  }

  .openbtn span:nth-of-type(3)::after {
    font-size: 0.6rem;

    position: absolute;
    top: 5px;
    left: -2px;

    content: "Menu"; /*3つ目の要素のafterにMenu表示を指定*/
    text-transform: uppercase;

    color: #fff;
  }

  /*activeクラスが付与されると線が回転して×になり、Menu⇒Closeに変更*/

  .openbtn.active span:nth-of-type(1) {
    top: 14px;
    left: 18px;

    width: 30%;

    -webkit-transform: translateY(6px) rotate(-45deg);
    -ms-transform: translateY(6px) rotate(-45deg);
    transform: translateY(6px) rotate(-45deg);
  }

  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }

  .openbtn.active span:nth-of-type(3) {
    top: 26px;
    left: 18px;

    width: 30%;

    -webkit-transform: translateY(-6px) rotate(45deg);
    -ms-transform: translateY(-6px) rotate(45deg);
    transform: translateY(-6px) rotate(45deg);
  }

  .openbtn.active span:nth-of-type(3)::after {
    top: 5px;
    left: 4px;

    content: "Close"; /*3つ目の要素のafterにClose表示を指定*/
    -webkit-transform: translateY(0) rotate(-45deg);
    -ms-transform: translateY(0) rotate(-45deg);
    transform: translateY(0) rotate(-45deg);
  }
}

/*==================================================
/* 押し込まれる（円が縮小）　*/
/*===================================*/

.pushcircle {
  /*周囲の線の起点とするためrelativeを指定*/
  position: relative;
  /*天地中央にテキストを配置*/

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /*円の形状*/

  outline: none;

  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

/*内側の線*/
.pushcircle:after {
  /*絶対配置で線の位置を決める*/
  position: absolute;
  top: 50%;
  left: 50%;
  /*線の形状*/

  width: 90%;
  height: 90%;

  content: "";
  /*アニメーションの指定*/
  -webkit-transition: 0.3s ease;
  -o-transition: 0.3s ease;
  transition: 0.3s ease;
  -webkit-transform: translate(-50%, -50%) scale(1.1);
  -ms-transform: translate(-50%, -50%) scale(1.1);
  transform: translate(-50%, -50%) scale(1.1);

  border-radius: 10px;
}

.sub-btn-list li:first-child a {
  /*background: #6ea924;*/
  background: #e9aeb2;
}

.sub-btn-list li:last-child a {
  /*background: #457703;*/
  background: #b1596b;
}

.sub-btn-list li:first-child a.pushcircle:after {
  /*border: 1px solid #6ea924;*/
  border: 1px solid #e9aeb2;
}

.sub-btn-list li:last-child a.pushcircle:after {
  /*border: 1px solid #457703;*/
  border: 1px solid #b1596b;
}

/*hoverをしたら枠線が小さくなる*/
.sub-btn-list li:first-child a.pushcircle:hover:after,
.sub-btn-list li:last-child a.pushcircle:hover:after {
  -webkit-transform: translate(-50%, -50%) scale(1);
  -ms-transform: translate(-50%, -50%) scale(1);
  transform: translate(-50%, -50%) scale(1);

  border-color: rgba(255, 255, 255, 0.8);
}

/*==================================================
/* ページの指定の高さを超えたら下から出現*/
/*===================================*/

/*リンクの形状*/
#page-top a {
  font-size: 0.6rem;

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  width: 60px;
  height: 60px;

  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  text-align: center;
  text-decoration: none;
  letter-spacing: 0.1em;
  text-transform: uppercase;

  color: #fff;
  border-radius: 5px;
  /*background: #666;*/
  background: #9c7e53;

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

#page-top a:hover {
  background: #777;
}

/*リンクを右下に固定*/
#page-top {
  position: fixed;
  z-index: 2;
  right: 10px;
  bottom: 10px;

  -webkit-transform: translateY(100px);
  -ms-transform: translateY(100px);
  transform: translateY(100px);
  /*はじめは非表示*/

  opacity: 0;
}

/*　上に上がる動き　*/

#page-top.UpMove {
  -webkit-animation: UpAnime 0.5s forwards;
  animation: UpAnime 0.5s forwards;
}
@-webkit-keyframes UpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }
  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}
@keyframes UpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }
  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

/*　下に下がる動き　*/

#page-top.DownMove {
  -webkit-animation: DownAnime 0.5s forwards;
  animation: DownAnime 0.5s forwards;
}
@-webkit-keyframes DownAnime {
  from {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
  to {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 1;
  }
}
@keyframes DownAnime {
  from {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
  to {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 1;
  }
}

/*==================================================
 任意の場所をクリックすると隠れていた内容が開く
===================================*/

/*アコーディオン全体*/
.accordion-area {
  width: 96%;
  margin: 0 auto;
}

.accordion-area li {
  margin: 10px 0;
}

.accordion-area section {
  border-bottom: 1px solid #ccc;
}

/*アコーディオンタイトル*/
.title {
  font-size: 1rem;
  font-weight: normal;

  position: relative; /*+マークの位置基準とするためrelative指定*/

  padding: 20px 50px 20px 20px;

  cursor: pointer;
  -webkit-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
}

/*アイコンの矢印*/
.title::before,
.title::after {
  position: absolute;

  content: "";
}
.title::before {
  top: 25%;
  right: 15px;

  width: 25px;
  height: 25px;

  border-radius: 50%;
  background-color: #cbcaca;
}
.title::after {
  top: 32%;
  right: 23px;

  width: 9px;
  height: 9px;

  -webkit-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  transform: rotate(135deg);

  border-top: 2px solid #fff;
  border-right: 2px solid #fff;
}
/*　closeというクラスがついたら形状変化　*/

.title.close::after {
  top: 35%;

  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

/*アコーディオンで現れるエリア*/
.box {
  display: none; /*はじめは非表示*/

  padding: 20px;

  background: #f3f3f3;
}

/*==================================================
/* タブメニュー*/
/*===================================*/

/*tabの形状*/
.tab-area {
  padding: 20px;

  border-radius: 10px;
  /*background:#fff;*/
  background: #f9d0ba;
}

.tab {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;

  padding: 0 0 20px 0;

  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.tab li {
  width: 33.333%;

  text-align: center;
  white-space: nowrap;
}

.tab li a {
  display: block;

  padding: 10px 0;

  border-bottom: transparent 2px solid;
}
/*liにactiveクラスがついた時の形状*/
.tab li.active a {
  border-color: #457703;
}

/*エリアの表示非表示と形状*/
.area {
  display: none; /*はじめは非表示*/

  padding: 0.3em;

  opacity: 0; /*透過0*/
  border-radius: 10px;
  background: #fff;
}

/*areaにis-activeというクラスがついた時の形状*/
.area.is-active {
  display: block; /*表示*/

  -webkit-animation-name: displayAnime;
  animation-name: displayAnime; /*ふわっと表示させるためのアニメーション*/
  -webkit-animation-duration: 2s;
  animation-duration: 2s;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes displayAnime {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes displayAnime {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

/*==================================================
 複数画像を中央に注目させて見せる
===================================*/

.slider {
  position: relative;
  z-index: 1;
}

.slider img {
  width: 50vw; /*スライダー内の画像を50vwにしてレスポンシブ化*/
  height: auto;

  border-radius: 10px;
}

.slider .slick-slide {
  -webkit-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s; /*拡大や透過のアニメーションを0.5秒で行う*/
  -webkit-transform: scale(0.85);
  -ms-transform: scale(0.85);
  transform: scale(0.85); /*左右の画像のサイズを85%に*/
}

@media screen and (max-width: 1020px) {
  .slider img {
    width: 70vw; /*スライダー内の画像を55vwにしてレスポンシブ化*/
  }
}

@media screen and (max-width: 768px) {
  .slider img {
    width: 96vw; /*スライダー内の画像を55vwにしてレスポンシブ化*/
  }
}

.slider .slick-slide.slick-center {
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1); /*中央の画像のサイズだけ等倍に*/

  opacity: 1; /*透過なし*/
}

/*矢印の設定*/

/*戻る、次へ矢印の位置*/
.slick-prev,
.slick-next {
  position: absolute; /*絶対配置にする*/
  top: 42%;

  width: 15px;
  height: 15px;

  cursor: pointer; /*マウスカーソルを指マークに*/

  border-top: 2px solid #666; /*矢印の色*/
  border-right: 2px solid #666; /*矢印の色*/
  outline: none; /*クリックをしたら出てくる枠線を消す*/
}

.slick-prev {
  /*戻る矢印の位置と形状*/
  left: -1.5%;

  -webkit-transform: rotate(-135deg);
  -ms-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

.slick-next {
  /*次へ矢印の位置と形状*/
  right: -1.5%;

  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/*ドットナビゲーションの設定*/

.slick-dots {
  margin: 20px 0 0 0;

  text-align: center;
}

.slick-dots li {
  display: inline-block;

  margin: 0 5px;
}

.slick-dots button {
  display: block;

  width: 8px; /*ドットボタンのサイズ*/
  height: 8px; /*ドットボタンのサイズ*/

  color: transparent;
  border-radius: 50%;
  outline: none;
  background: #457703; /*ドットボタンの色*/
}

.slick-dots .slick-active button {
  background: #b25938; /*ドットボタンの現在地表示の色*/
}

/*==================================================
 サムネイルをクリックすると、メイン画像が切り替わる
===================================*/

/*画像の横幅を100%にしてレスポンシブ化*/
#newitems img {
  width: 100% !important;
  height: auto;

  vertical-align: bottom; /*画像の下にできる余白を削除*/
}

/*メイン画像下に余白をつける*/

.gallery {
  width: 100%;
  margin: 0 0 20px 0;
}

/*矢印の設定*/

/*戻る、次へ矢印の位置*/
.slick-prev,
.slick-next {
  position: absolute; /*絶対配置にする*/
  z-index: 3;
  top: 42%;

  width: 25px;
  height: 25px;

  cursor: pointer; /*マウスカーソルを指マークに*/

  border-top: 2px solid #fff; /*矢印の色*/
  border-right: 2px solid #fff; /*矢印の色*/
  outline: none; /*クリックをしたら出てくる枠線を消す*/
}

.slick-prev {
  /*戻る矢印の位置と形状*/
  left: 2.5%;

  -webkit-transform: rotate(-135deg);
  -ms-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

.slick-next {
  /*次へ矢印の位置と形状*/
  right: 2.5%;

  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/*選択するサムネイル画像の設定*/

.choice-btn li {
  width: 23% !important;
  margin: 0 1%;

  cursor: pointer;

  outline: none;
}

@media screen and (max-width: 350px) {
  .choice-btn li {
    width: 48% !important;
    margin: 0 1% 10px 1%;
  }
}

.choice-btn li img {
  opacity: 0.6;
}

.choice-btn li.slick-current img {
  opacity: 1;
}

/*==================================================
/* ページを開くと、背景が暗くなりテキストを表示*/
/*===================================*/

/*infoエリアをはじめは非表示*/
#info {
  display: none;
}

/*モーダルの横幅を変更したい場合*/
.modaal-container {
  max-width: 600px;
}

/*モーダルのボタンの色を変更したい場合*/
.modaal-close {
  background-color: #457703 !important;
}
.modaal-close:after,
.modaal-close:before {
  background: #fff;
}

.modaal-close:focus:after,
.modaal-close:focus:before,
.modaal-close:hover:after,
.modaal-close:hover:before {
  background: #b25938;
}

/*==================================================
/* 虫眼鏡マークをクリックすると、検索窓が伸びて出現*/
/*===================================*/
/*========= 検索窓のためのCSS ===============*/

/*検索窓のエリア*/
#search-wrap {
  position: absolute; /*絶対配置にして*/
  z-index: 2; /*最前面に設定。数字は変更可*/
  top: 10px;
  right: 10px;
}

/*テキスト入力input設定*/
#search-text {
  width: 50px; /*テキスト入力エリアが伸びる前の横幅*/
  height: 50px;
  padding: 20px;

  cursor: pointer; /*カーソルを指マークに*/
  -webkit-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s; /*transitionを使ってスムースに伸ばす*/

  color: #fff;
  border: none;
  border-radius: 10px;
  outline: none;
  background: #888 url("../img/icon_search.svg") no-repeat 17px center; /*虫眼鏡アイコンを背景に表示*/
  background-size: 20px 20px;

  -webkit-appearance: none; /*SafariやChromeのデフォルトの設定を無効*/
}

/*テキスト入力inputにフォーカスした時の形状*/
#search-text:focus {
  width: 220px; /*テキスト入力エリアが伸びる後の横幅*/
  padding: 20px 0 20px 60px;
}

/*==================================================
 最低限おぼえておきたい動き
===================================*/
/* ふわっ（下から） */

.fadeUp {
  -webkit-animation-name: fadeUpAnime;
  animation-name: fadeUpAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeUpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

@keyframes fadeUpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

/* 4-1 ふわっ（上から）*/

.fadeDown {
  -webkit-animation-name: fadeDownAnime;
  animation-name: fadeDownAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeDownAnime {
  from {
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

@keyframes fadeDownAnime {
  from {
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

/* スマホ表示用。flipRightTriggerを指定している親要素に指定しないとうまく動かない*/
#ranking {
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

/* 4-2 パタッ（右へ） */
.flipRight {
  -webkit-animation-name: flipRightAnime;
  animation-name: flipRightAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
  -webkit-perspective-origin: right center;
  perspective-origin: right center;
}

@-webkit-keyframes flipRightAnime {
  from {
    -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(-30deg);
    transform: perspective(600px) translate3d(0, 0, 0) rotateY(-30deg);

    opacity: 0;
  }

  to {
    -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);
    transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);

    opacity: 1;
  }
}

@keyframes flipRightAnime {
  from {
    -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(-30deg);
    transform: perspective(600px) translate3d(0, 0, 0) rotateY(-30deg);

    opacity: 0;
  }

  to {
    -webkit-transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);
    transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);

    opacity: 1;
  }
}

/* スクロールをしたら出現する要素にはじめに透過0を指定　*/

.flipRightTrigger,
.fadeUpTrigger,
.fadeDownTrigger {
  opacity: 0;
}

/* 4-3 くるっ（ Y 軸（横へ）） */
.rotateY {
  -webkit-animation-name: rotateYAnime;
  animation-name: rotateYAnime;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes rotateYAnime {
  from {
    -webkit-transform: rotateY(0);
    transform: rotateY(0);
  }
  to {
    -webkit-transform: rotateY(-360deg);
    transform: rotateY(-360deg);
  }
}

@keyframes rotateYAnime {
  from {
    -webkit-transform: rotateY(0);
    transform: rotateY(0);
  }
  to {
    -webkit-transform: rotateY(-360deg);
    transform: rotateY(-360deg);
  }
}

/*==================================================
/* 画像リンクの動き*/
/*===================================*/

/* 回転＋テキスト（Y 軸）
   ----------------------------- */
/* スマホ表示用。flipYを指定している親要素に指定しないとうまく動かない*/
.choice-btn {
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.flipY a {
  /*テキストの基点となる位置を定義*/
  position: relative;

  display: block;
}

.flipY img {
  -webkit-transition: all 0.35s;
  -o-transition: all 0.35s;
  transition: all 0.35s; /*移り変わる速さを変更したい場合はこの数値を変更*/

  -webkit-backface-visibility: hidden;
  backface-visibility: hidden; /*三次元になった際に裏面を可視化させない*/
}

.flipY:hover img {
  /*hoverした時の変化*/
  -webkit-transform: rotateY(-180deg);
  transform: rotateY(-180deg);

  opacity: 0 !important;
}

.flipY span.detail-cap {
  /*ここからエリアの絶対配置の指定*/
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  /*ここからテキスト中央寄せの指定*/

  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /*ここまでエリアの絶対配置の指定*/

  -webkit-transition: all 0.35s ease;
  -o-transition: all 0.35s ease;
  transition: all 0.35s ease; /*移り変わる速さを変更したい場合はこの数値を変更*/
  -webkit-transform: rotateY(90deg);
  transform: rotateY(90deg); /*横軸に回転*/
  -webkit-transform-origin: 50% 0;
  -ms-transform-origin: 50% 0;
  transform-origin: 50% 0; /*回転する基点*/

  opacity: 0;
  color: #fff; /*テキストの色を変えたい場合はここを修正*/
  background: #666; /*背景色*/

  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  /*ここまでテキスト中央寄せの指定*/
}

.flipY:hover span.detail-cap {
  -webkit-transition-delay: 0.15s;
  -o-transition-delay: 0.15s;
  transition-delay: 0.15s; /*移り変わる速さを変更したい場合はこの数値を変更*/
  /*hoverした時の変化*/
  -webkit-transform: rotateY(0);
  transform: rotateY(0); /*横軸に回転*/

  opacity: 1;
}

/* キラッ　*/

.shine span.mask {
  position: relative; /*キラッの基点となる位置を定義*/

  display: block;
  overflow: hidden;
}

.shine span.mask::before {
  position: absolute;
  top: 0; /*.shine span.maskのトップ0を基点*/
  left: -75%; /*画面の見えていない左から右へ移動するスタート地点*/

  width: 50%; /*キラッの横幅*/
  height: 100%; /*キラッの縦幅*/

  content: "";
  -webkit-transform: skewX(-25deg);
  -ms-transform: skewX(-25deg);
  transform: skewX(-25deg); /*背景白透過を斜めに*/

  background: -webkit-gradient(
    linear,
    left top,
    right top,
    from(rgba(255, 255, 255, 0)),
    to(rgba(255, 255, 255, 0.3))
  );
  background: -o-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
}

.shine span.mask:hover::before {
  /*hoverした時の変化*/
  -webkit-animation: shine 0.7s;
  animation: shine 0.7s; /*アニメーションの名前と速度を定義*/
}

@-webkit-keyframes shine {
  100% {
    left: 125%; /*画面の見えていない左から右へ移動する終了地点*/
  }
}

@keyframes shine {
  100% {
    left: 125%; /*画面の見えていない左から右へ移動する終了地点*/
  }
}
